// Random.h: interface for the Random class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_RANDOM_H__C96E9D80_0073_4EB5_A953_6879F60C37D9__INCLUDED_)
#define AFX_RANDOM_H__C96E9D80_0073_4EB5_A953_6879F60C37D9__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class Random  
{
public:
	void setSeed(_int64 seed);
	Random(_int64 seed);
	Random();
	virtual ~Random();
	int next(int bits);
	int nextInt();
	double nextDouble();
	bool nextBoolean();
	float nextFloat();
	int nextInt(int n);

private:
	_int64 seed;
	_int64 multiplier;
    _int64 addend;
    _int64 mask;
	double nextNextGaussian;
    bool haveNextNextGaussian;
	int BITS_PER_BYTE;
    int BYTES_PER_INT;


};

#endif // !defined(AFX_RANDOM_H__C96E9D80_0073_4EB5_A953_6879F60C37D9__INCLUDED_)
