/* this file contains implementation of the class Heap */
#ifndef HEAP_H
#define HEAP_H

class HeapEntry;
class Heap;
class Disk;

class HeapEntry
{
public:
	int dim;
	int level;
	int son;
//	float *bounces;
	float key;

	//-----functions-----
	HeapEntry();
	~HeapEntry();
	void init_HeapEntry(int _dim);
	void copy(HeapEntry *_he);

};

class Heap
{
private: 
	void enter(HeapEntry *_he, int _pos);
public:
	int hsize;        // the heap size
	int used;         // number of used places
	HeapEntry *cont;  // content of the heap

	//-----functions-----
	Heap();
	~Heap();
	void init(int _hsize);
	void insert(HeapEntry *_he);
	bool remove(HeapEntry *_he);
};

#endif